drop database cariboulou;

create database cariboulou;

use cariboulou;



create table customers(
			customerid int unsigned not null auto_increment primary key,
			first_name char(30) not null,
			last_name char(40) not null,
			phone int(10) not null,
			street_address char(70) not null,
			apartment char(10) null,
			city char(45) not null,
			state1 char(25) not null,
			zip int(5) not null,
			country char(30) not null,
			planet char(20) not null,
			username char(20) not null,
			password char(25) not null,
			email char(45) not null);



create table orders(
			orderid int unsigned not null auto_increment primary key,
			customerid int unsigned not null,
			amount float(6,2),
			date date not null),
			order_status char(10),

			ship_first_name char(30) not null,
			ship_last_name char(40) not null,

			ship_street_address char(80) not null,

			ship_city char(30) not null,

			ship_state1 char(20),

			ship_zip char(10),

			ship_country char(20) not null
);





create table media(
			media_id char(6) not null primary key,
			artist char(50),
 			title char(100),
			cat_id int unsigned,
			price float(7,2),
			description varchar(255)
);





create table categories(
			cat_id int unsigned not null auto_increment primary key,

			catname char(60) not null
);



create table order_items(
			order_id int unsigned not null,
			media_id char(6) not null,
			item_price float(7,2) not null,

			quantity tinyint unsigned,
  			primary key (order_id, media_id));


create table media_reviews(
			media_id char(6) not null primary key,
			review_id char(13) not null primary key,
  			review text);

create table add_media(
			media_id_R char(6) unsigned not null auto_increment primary key,
			artist char(50),
			title char(100),
			price float(7,2));



create table admin
(

			username char(16) not null primary key,

			password char(40) not null
);


insert into customers values
				(1, "Maya", "Genuisus", "9505553027", "446 Westmont Blvd", null, "Los Angeles", "California", "96043", "United States", "Earth", "M64Gen98", sha1("jujubean88"), "girliegirlM@gmail.com"),
				(2, "Jimminy", "Cricket", "4445559872", "47 Ronalis Road", null, "Oakland", "California", "95403", "United States", "Earth", "I_wont_lie", sha1("FeKA8304"), "hippityhop@hotmail.com"),
			    (5, "Lori", "Kazdon", "9725558813", "33 Reeds Court", "21", "Los Angeles", "California", "97724", "United States", "Earth", "Butterfly", sha1("nanzYU44"), "princessLK@gmail.com"),
			    (8, "Carla", "Orisma", "9725556904", "18 Ocean Avenue", null, "Los Angeles", "California", "97726", "United States", "Earth", "IseeU2", sha1("TocknClock10"), "Ori86CA@gmail.com"),
			    (9, "Jackie", "Chaniels", "1235555220", "414 Chinkicker Lane", null, "Snarsville", "Comotose", "97633", "Uripidus", "Venus", "Hiyaa123", sha1("WuShu72U2"), "KandC@amazon.com"),
			    (11, "Captain", "Obvious", "4465552165", "100 Superhero street", "3", "Metropolisville", "Gargantua", "55490", "Fractal", "Jupiter", "CaptainO", sha1("IM3349G3JE"), "obvioc0416@ncstudent.net"),
			    (15, "Ginaz", "Ablaze", "7165554012", "3 Fireland Street", null, "Hotterthanhotville", "Springfield", "11301", "Nom Nom", "Mercury", "User442", sha1("Polni994"), "hotlikefire@foofoo.com"),
			    (18, "Yazzle", "Wingwing", "7555550028", "73 Snaffoo Blvd", null, "Unpronouncibleville", "Eezepeeze", "00034", "Quietnbreezey", "Pluto", "glimmlywashere", sha1("Arghhh315"), "milkywaysfinest@geronimo.net"),
			    (30, "Ralph", "Malph", "3135550089", "741 Regal Avenue", null, "San Dimas", "California", "98220", "United States", "Earth", "1950Rodder", sha1("RoRo2009"), "ralphie123@happydays.com");



insert into orders values
  ("", 8, 69.98, "2010-11-02"),

			   ("", 11, 49.99, "2010-09-15"),

			   ("", 1, 74.98, "2011-02-10"),

			   ("", 8, 24.99, "2011-01-07"),
			   ("", 18, 24.99, "2010-12-20"),
			   ("", 18, 24.99, "2011-01-16"),
			   ("", 5, 38.99, "2011-02-09"),
			   ("", 2, 29.73, "2011-01-16"),
			   ("", 9, 27.73, "2011-01-19"),
			   ("", 15, 129.93, "2011-02-03"),
			   ("", 30, 57.97, "2011-01-10");


insert into media values
			("000001", "Aerosmith", "Big Ones", 1, 11.74, "Few comebacks in rock and roll history have been as amazing as that of Aerosmith."),
			("000002", "David Lee Roth", "Skyscraper", 1, 14.99, "Skyscraper was the second full-length album by David Lee Roth."),
			("000003", "Tung Twista", "Runnin Off At Da Mouth", 1, 11.99, "Known to most people as Twista, this is his first true album and sets the stage for how fast he can really rap."),
			("000004", "Europe", "The Final Countdown", 1, 11.99, "Hair metal at it's best."),
			("000005", "Journey", "Escape", 1, 12.99, "Journey's seventh studio album and eighth overall."),
			("000006", "Motorhead", "The Very Best of Motorhead", 1, 14.99, "A 14 song Motorhead collection worthy of as definitive a title as this particular set."),
			("000007", "Nonpoint", "Recoil", 1, 12.75, "The third album which includes In the Air Tonight and The Truth."),
			("000008", "Phil Collins", "Hits", 1, 11.39, "Released in 1998, this is the first and last greatest hits collection of Phil Collins studio recordings."),
			("000009", "Yoshida Brothers", "II", 1, 10.75, "Mixing traditional Japanese music with Western influences, their brash, signature sound incorporates jazz-like improvisation, pop-rock sensibilities, and disparate global music idioms into their virtuoso shamisen mastery."),
			("000010", "The Moody Blues", "Say It With Love", 2, 15.99, "This album presents 16 previously issued love songs from the Moody Blues in remastered format."),
			("000011", "The Fat Boys", "Crushin", 2, 15.74, "In the summer of 1987,The Fat Boys were CRUSHIN' the urban charts with this album."),
			("000012", "Queen", "Classic Queen", 2, 11.74, "This is an excellent collection of one of the most popular and influential rock bands of all time."),
			("000013", "Electric Light Orchestra", "Ole Elo", 2, 13.95, "The second compilation by the Electric Light Orchestra covering their early years."),
			("000014", "Focus", "Moving Waves", 2, 10.75, "The second album by this Dutch band featuring their famous hit Hocus Pocus."),
			("000015", "Foghat", "Fool For the City", 2, 11.74, "There fifth album and the first to go platinum."),
			("000016", "Jeff Bridges", "Tron", 3, 17.99, "Kevin Flynn is literally abducted into the world of a computer and forced to participate in gladiatorial games where his only chance of escape is with the help of a heroic security program."),
			("000017", "Jeff Bridges", "Tron: Legacy", 3, 23.99, "Sam Flynn goes looking for his father and ends up inside the digital world that his father designed...and disappeared in 20 years ago."),
			("000018", "Sean Connery", "Highlander", 3, 9.99, "An immortal Scottish swordsman must confront the last of his immortal opponent, a murderously brutal barbarian known as the Kurgan who lusts for the fabled Prize."),
			("000019", "John Belushi", "1941", 3, 9.99, "Hysterical Californians prepare for a Japanese invasion in the days after Pearl Harbor. The Japanese soldiers camouflaged as pine trees makes this one worth it!"),
			("000020", "George Carlin", "Bill and Ted's Excellent Adventure", 3, 11.99, "Two seemingly dumb teens who aspire to be their own rock band aka The Wyld Stallyns struggle to prepare a historical presentation with the help of a time machine."),
			("000021", "John Lithgow", "Harry and the Hendersons", 3, 10.95, "The Henderson family hits a Bigfoot on their way home. They take it home thinking it is dead. It's not, but it's also not quite what they expected. What could go wrong?"),
			("000022", "Arnold Schwarzenegger", "Hurcules in New York", 3, 9.99, "After many centuries, Hercules gets bored living in Olympus (the home of the great Greek gods) and decides to move to... New York."),
			("000023", "Chevy Chase", "National Lampoon's Vacation", 3, 12.99, "The Griswold family's cross-country drive to the Walley World theme park proves to be much more arduous than they ever anticipated."),
			("000024", "Jackie Chan", "Wheels on Meals", 3, 9.99, "Two owners of a mobile restaurant, team up with their friend to save a beautiful woman. Also has one of the top ten best martial arts fights ever between Jackie Chan and Benny The Jet Urquidez"),
			("000025", "Mel Brooks", "Spaceballs", 4, 24.99, "Planet Spaceball vs Planet Druidia, Lone Star, Yogurt, and a half-man/half-dog. Need we say more?"),
			("000026", "George Lucas", "Star Wars Attack of the Clones", 4, 19.99, "Secret romance, secret armies, and secret alliances!"),
			("000027", "George Lucas", "Star Wars Revenge of the Sith", 4, 19.99, "Young Anakin completes his journey to the dark side of the force."),
			("000028", "George Lucas", "Star Wars 6 disc set", 4, 119.94, "All six epic movies in one fantastic set."),
			("000029", "Gerard Butler", "300", 4, 14.99, "King Leonidas and a force of 300 men fight the Persians at Thermopylae in 480 B.C."),
			("000030", "Ringo Starr", "Caveman", 4, 14.99, "A pre-histerical comedy!"),
			("000031", "Stephen Chow", "Kung Fu Hustle", 4, 17.99, "So many gangsters...so little time.");



insert into categories values 
			(1, "CDs"),
			(2, "Vinyl Records"),

			(3, "DVDs"),
			(4, "Blu Rays");





insert into admin values 
			("admin", sha1("adminpass"));



insert into order_items values
			(1, "000002", 1),
			(2, "000028", 1),
			(3, "000028", 1),
			(3, "000017", 1),
			(4, "000010", 1),
			(5, "000003", 1),
			(6, "000026", 1),
			(7, "000027", 1);



insert into media_reviews values
  ("000002", "DLR020", "Skyscraper has got to be the best rock album out there. Rock on!");



use mysql;


grant select, insert, update, delete, index, alter, create, drop 
on cariboulou.*
 to cariboulou identified by 'cariboulou888';